Loading...
Searching...
No Matches
pqxx::notification_receiver Class Referenceabstract

## Public Member Functions

| notification_receiver (connection &cx, std::string_view channel)
| Register the receiver with a connection.
| notification_receiver (notification_receiver const &)=delete
| Register the receiver with a connection.
notification_receiver & | operator= (notification_receiver const &)=delete
| Register the receiver with a connection.
virtual | ~notification_receiver ()
| Deregister the receiver.
std::string const & | channel () const &
| The channel that this receiver listens on.
virtual void | operator() (std::string const &payload, int backend_pid)=0
| Overridable: action to invoke when notification arrives.

## Protected Member Functions

connection & | conn () const noexcept

## Constructor & Destructor Documentation

## notification_receiver()

pqxx::notification_receiver::notification_receiver | ( | connection & | cx,
|  | std::string_view | channel
| ) |  |

Register the receiver with a connection.

Parameters

  cx | Connnection to operate on.
  channel | Name of the notification to listen for.

Implementation of the pqxx::notification_receiever class.

pqxx::notification_receiver processes notifications.

Copyright (c) 2000-2024, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

## Member Function Documentation

## operator()()

virtual void pqxx::notification_receiver::operator() | ( | std::string const & | payload,
|  | int | backend_pid
| ) |  |

pure virtual

Overridable: action to invoke when notification arrives.

Parameters

  payload | An optional string that may have been passed to the NOTIFY command.
  backend_pid | Process ID of the database backend process that served our connection when the notification arrived. The actual process ID behind the connection may have changed by the time this method is called.

The documentation for this class was generated from the following files:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/notification.hxx
- /build/libpqxx-dRO3di/libpqxx-7.10.0/src/notification.cxx